View Issue Details

IDProjectCategoryView StatusLast Update
0015288ScribusInternalpublic2019-06-04 20:56
Reporterdcb Assigned Tojghali  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.5.3 
Target VersionFixed in Version1.5.5.svn 
Summary0015288: Bad comparison in specialchars.cpp
Descriptionscribus-1.5.3/scribus/text/specialchars.cpp:231]: (warning) Logical conjunction always evaluates to false: ch >= 42999 && ch <= 42943.

Source code is

                   (0xA7F7 <= ch && ch <= 0xA7BF) || // Letters in Latin Extended-D
TagsNo tags attached.
PatchNo

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2018-04-29 17:15 dcb New Issue
2018-04-30 10:36 jghali Category General => Internal
2018-04-30 10:37 jghali Summary scribus-1.5.3/scribus/text/specialchars.cpp:231: bad compare ? => Bad comparison in specialchars.cpp
2018-04-30 10:37 jghali Assigned To => jghali
2018-04-30 10:37 jghali Status new => resolved
2018-04-30 10:37 jghali Resolution open => fixed
2018-04-30 10:37 jghali Fixed in Version => 1.5.5.svn
2018-04-30 15:25 jghali Product Version => 1.5.3
2019-06-04 20:56 cbradney Status resolved => closed